Skip to main content
GET
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
recurring_transactions_report
Get EndUser recurring transactions report
curl --request GET \
  --url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/recurring_transactions_report \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/recurring_transactions_report"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/recurring_transactions_report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "avg_amount": {
      "amount": "1234.56",
      "currency": "USD"
    },
    "avg_confidence": 123,
    "counterparty": "<string>",
    "merchant_group_id": "<string>",
    "merchant_heron_id": "<string>",
    "merchant_name": "<string>",
    "transactions": [
      {
        "amount": {
          "amount": "1234.56",
          "currency": "USD"
        },
        "heron_id": "<string>",
        "timestamp": "2023-11-07T05:31:56Z",
        "category_confidence": 123,
        "category_heron_id": "<string>",
        "category_label": "<string>",
        "counterparty": "<string>",
        "description": "<string>",
        "merchant_group_id": "<string>",
        "merchant_heron_id": "<string>",
        "merchant_name": "<string>"
      }
    ]
  }
]

Authorizations

x-api-key
string
header
required

Path Parameters

end_user_id_or_heron_id
string
required

Query Parameters

account_ids
string[] | null

Account ids to include in the report, if not provided, all accounts are included

Response

200 - application/json

OK

avg_amount
object
avg_confidence
number
counterparty
string
frequency
enum<string>
Available options:
not_enough_data,
same_day,
irregular,
daily,
weekly,
biweekly,
monthly,
quarterly,
annually,
weekday,
twice_weekly
merchant_group_id
string
merchant_heron_id
string
merchant_name
string
transactions
object[]